/*
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __XFBIB_WINDOW_H
#define __XFBIB_WINDOW_H

#include <gtk/gtk.h>
#include "xfbib-bibtex.h"

#define XFBIB_TYPE_WINDOW             (xfbib_window_get_type())
#define XFBIB_WINDOW(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_WINDOW, XfbibWindow))
#define XFBIB_IS_WINDOW(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_WINDOW))
#define XFBIB_WINDOW_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_WINDOW, XfbibWindowClass))
#define XFBIB_IS_WINDOW_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_WINDOW))
#define XFBIB_WINDOW_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_WINDOW, XfbibWindowClass))

G_BEGIN_DECLS

typedef struct _XfbibWindow         XfbibWindow;

GType xfbib_window_get_type() G_GNUC_CONST;

GtkWidget *xfbib_window_new();
void xfbib_window_set_title(XfbibWindow *, gchar *);
XfbibBibtex *xfbib_window_get_elements(XfbibWindow *);
GtkWidget *xfbib_window_get_tree_view(XfbibWindow *, enum XFBIB_BIBTEX_TYPE);

G_END_DECLS

#endif //__XFBIB_WINDOW_H

